You are not logged in.

#1 2022-01-15 11:31:39

mhdry
Member
From: Bonn
Registered: 2021-07-25
Posts: 16

[solved] 'hwids' dependencies prevent upgrade to 'core/hwdata'

Package hwids is scheduled for removal and should be replaced by core/hwdata, however libosinfo still depends on hwids, even the one in "testing".

:: Synchronizing package databases...
 core is up to date
 extra is up to date
 community is up to date
:: Starting full system upgrade...
:: Replace hwids with core/hwdata? [Y/n] 
resolving dependencies...
looking for conflicting packages...
error: failed to prepare transaction (could not satisfy dependencies)
:: removing hwids breaks dependency 'hwids' required by libosinfo

Last edited by mhdry (2022-01-16 09:00:34)

Offline

#2 2022-01-15 11:34:36

abaumann
Administrator
From: Zurich
Registered: 2019-11-14
Posts: 810
Website

Re: [solved] 'hwids' dependencies prevent upgrade to 'core/hwdata'

Yep, known: https://bugs.archlinux32.org/index.php? … ask_id=227

Needs several rebuilds. Now gobject-introspection is fixed (thanks to upstreams :-) ), so I'll give libosinfo another try..

.. yep, looks promising, I'll retrigger a rebuild and a push to stable.

Offline

#3 2022-01-15 14:02:56

abaumann
Administrator
From: Zurich
Registered: 2019-11-14
Posts: 810
Website

Re: [solved] 'hwids' dependencies prevent upgrade to 'core/hwdata'

Seems ok, I can reinstall

pacman -S tracker-miners tracker3-miners gnome-documents gnome-music gnome-photos nautilus

Offline

#4 2022-01-16 09:01:11

mhdry
Member
From: Bonn
Registered: 2021-07-25
Posts: 16

Re: [solved] 'hwids' dependencies prevent upgrade to 'core/hwdata'

Yes, thank you; seems to work for me, too. Marked as solved...

Offline

Board footer

Powered by FluxBB